Page MenuHomePhabricator

Wikipedia Watchlist Notification Emails Not Arriving
Closed, DuplicatePublic

Description

I have been subscribed to Watchlist notifications for the page 'https://en.wikipedia.org/wiki/Felixstowe', but Watclhlist emails have only just started arriving again after a long gap.
Looking at the history for the page, I should have had emails before but they haven't come.
The emails just started again for no apparent reason.
I have looked at the page history, and I should have had more emails.
The emails have not gone to my 'Spam' folder.

Event Timeline

PeterEssexHeritage raised the priority of this task from to Needs Triage.
PeterEssexHeritage updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 30 2015, 9:41 PM

Were the edits that should have triggered emails bot/minor edits? Bot and minor edits don't trigger emails (minor edits can be set to trigger emails, but don't by default IIRC, but there is no way to force bot edits to trigger emails), but neither do any edits which follow them, until you visit the page again. These are reported in T29884.

I guess there is the possibility that I visited the page itself while logged-in (without looking at the history or differences), and re-enabled emails without realising it. Is that possibile?

However, I don't remember ever not checking a difference after receiving a notification email, so the notification emails should never have stopped, as far as I know. I always log-in and check the difference when I get an email.

I got an email on 21 August 2015, after a long time without any, and there were many non-bot, non-minor edits in between.

I think this setup is confusing, because whatever the reason I missed a big set of changes to the page! Maybe a fixed number of emails, say 5, should be sent before turning them off?

I'm not saying you might've accidentally ignored an email, I'm saying that currently, it is possible for an edit to not generate an email at all even if it should - even if you've checked the page every time you've received notification emails for it. All it takes is for the next edit to be minor and you don't have your preferences set to email you for minor edits, or for that next edit to be a bot edit, in which case an email won't be sent regardless of how your preferences are configured. And in these cases, emails don't get sent for any subsequent edits, either, not until you visit the page again.

I can't say what you might've done to cause emails to be sent again, though my guess would be that you did indeed visit the page while logged in (the only alternative explanation I can think of is that the wiki randomly decided to start sending emails for it again without any action on your part, but I've never seen that happen, and I use emails extensively to keep up with my watchlists across several wikis).

Thanks for your very clear response.

What you are saying is that the 'Watchlist' is not really a 'Watchlist' at all!

I think it needs some work to make it useful, rather than misleading!

I have the following obervations, based on the Wikipedia system:

In Preferences->User Profile
'Email me when a page or a file on my watchlist is changed' is not doing what it says!
It doesn't mention at all about how the notifications could be turned off by minor or bot edits.
Also, this setting should probably be in the 'Notifications' tab.

In Preferences->Watchlist
'Hide bot edits from the watchlist'
'Hide my edits from the watchlist'
It is not clear whether these affect notification emails or not.

How do I turn on notification emails for minor edits, as you mentioned?

In Preferences->Notifications
There is nothing relating to the Watchlist. Shouldn't there be something here, or at least some help text?

The notification emails themselves say 'There will be no other notifications in case of further activity unless you visit this page while logged-in' - this doesn't make it clear that bot or minor edits might not be notified and might cause notifications to be turned off.

I would expect to be able to turn email notifications on permanently for items in my watchlist. Maybe emails could be turned off if the user doesn't log-in for a year, say? An email could be sent to notify the user that this had happened.

It seems the preference for emailing on minor edits was removed at some point; I have a preference labeled "Email me also for minor edits of pages and files" on a wiki that runs an older version of MediaWiki, but didn't see anything like it when looking through my Wikipedia preferences. It's possible that functionality has been rolled into some other preference, but nothing jumped out at me as obvious.

I don't think it was ever intended that bot/minor edits could silently drop pages from your email like they do; that's why the bug I linked above is still open, and why none of the email-related preferences say anything about it. The ideal solution here would be to fix the underlying problem rather than changing the preference text to accommodate the current behavior.

We need something that works, is transparent and easy to use.

In particular, the current 'feature' where notification emails stop if the page isn't visited is irritating for me! I can see that long-term they could stop, maybe a year after someone hasn't visited the page?

I hope the whole area of notification emails can be tidied-up soon, because it is an important part of any wiki!

In particular, the current 'feature' where notification emails stop if the page isn't visited is irritating for me! I can see that long-term they could stop, maybe a year after someone hasn't visited the page?

I don't see a convincing usecase why I should get a separate notification email for each separate change, especially as the notification email offers a link to see all changes since my last visit. If there is a usecase please provide it, but personally I'd say the more mail I receive the more mail I will ignore.

It seems the preference for emailing on minor edits was removed at some point; I have a preference labeled "Email me also for minor edits of pages and files" on a wiki that runs an older version of MediaWiki, but didn't see anything like it when looking through my Wikipedia preferences.

It's not that something must have been removed, instead settings might just differ (cf. T31055).

...and now regarding the actual initial report here:

Looking at the history for the page, I should have had emails before but they haven't come.
The emails just started again for no apparent reason.

As the notification emails say "There will be no other notifications in case of further activity unless you visit this page while logged in. You could also reset the notification flags for all your watched pages on your watchlist.":

  1. Could you clarify if you did not receive notification emails for changes though you had visited the page while logged in?
  2. Also, are there examples when you had visited the page while logged in and a followup email for a non-minor change had not arrived?

(In general, I'm wondering if this problem might have been better suited for https://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28technical%29 or not. :)

I can't speak to the problem @PeterEssexHeritage is having (though it sounds like a case of 2, not 1), but as I have noted, both on this bug report and on T40874, there are cases where a page can silently drop entirely from your email notifications, which is a huge problem for anyone who uses enotifs rather than their watchlist to track changes. I'm not arguing for a setting to email on every edit (and wouldn't use it if it were added), but having a setting, or combination of settings, that would force an enotif to be sent on the first new edit to a page which has been viewed while logged in, regardless of whether that edit is minor, a bot edit, or a minor bot edit, would fix T40874 and (presumably) this bug.

And honestly, I don't see, nor have I ever seen, the logic in preventing minor or bot edits from firing enotifs without also having the next non-minor/bot edit fire an enotif. I don't want pages to silently drop from my email, and while I would prefer having a way to guarantee that I will always be emailed on the next edit after I view a page while logged in, even just being sure that the next non-minor/bot edit will email me would be enough to fix these bugs in my mind.

scfc added a subscriber: scfc.Sep 30 2015, 8:58 AM

[…]
And honestly, I don't see, nor have I ever seen, the logic in preventing minor or bot edits from firing enotifs without also having the next non-minor/bot edit fire an enotif. I don't want pages to silently drop from my email, and while I would prefer having a way to guarantee that I will always be emailed on the next edit after I view a page while logged in, even just being sure that the next non-minor/bot edit will email me would be enough to fix these bugs in my mind.

My understanding is that that behaviour is not logical, but a bug that hasn't been fixed yet. Has someone said otherwise?

To cover some points from people's comments:

I would like an email whenever there are any changes, even if I haven't visited the page since the last email. This should be an option. This would also benefit reporting problems with the notification system, since it wouldn't matter whether I had visited the page last time or not!

The notification emails would also, ideally, include information about the page changes made.

This phabrictor system does exactlty that with comments on tasks!

The usecase for this is making sure I don't miss changes, I can always see what is going-on, just by looking at my emails, and I don't have to worry about missing and email or forgetting to go to check that page.

The Wikipeda Watchlist page only allows viewing changes over the last 30 days, so again changes could be missed.

Having a button in Wikipedia 'Mark all pages as visited' is not a clear way to do this!

Some people might not log-in to Wikipedia very often, so would rely on the emails.

I would like the emails to stop after a long time, though, for after I am gone from this world, someone else could get my email address and receive these emails! Then they might get access to my Wiki account!

I think change notifications are a key part of Wikipedia, and should be powerful, flexible, transparent and easy to use.

Aklapper, in answer:

  1. Yes, I believe I always logged-in to check changes when I received an email, yet the notification emails still stoped.
  2. Yes, I belive that is what happened.

As mentioned, it's difficult to report problems with this as it is, because there's always the possibility that the reporter didn't visit the page while logged-in! There must be a better system!

scfc added a comment.Oct 1 2015, 2:16 AM

Please file a separate request for a new feature of mail-for-all-changes if you want to propose that. Note that there is already an RSS feed for all changes to your watchlist (cf. https://en.wikipedia.org/wiki/Wikipedia:Syndication#Watchlist_feed_with_token), so this might do what you want, albeit not by mail.

My understanding is that that behaviour is not logical, but a bug that hasn't been fixed yet. Has someone said otherwise?

Some of the comments that have been made on this and other bug reports definitely feel like they're leaning towards "this is intentional behavior", though admittedly that could just be me reading too much into them.

Having a button in Wikipedia 'Mark all pages as visited' is not a clear way to do this!

This raises an interesting point, it would be nice to have a link associated with the email settings to reset the status of all page notifications, which effectively does what the "Mark all pages as visited" button on the watchlist does (though this would be a separate bug report as well).

PeterEssexHeritage added a comment.EditedOct 3 2015, 8:01 PM

scfc, as requested, I have filed a new request for mail-for-all-changes, T114587. The RSS feed won't do what I want, in a simple way, as far as I know.

Dinoguy1000, if the behaviour described in the current task is by design, in the Preferences in Wikipedia, the option 'Email me when a page or a file on my watchlist is changed' should have some explanatory text about what will actually happen.

Regarding your second point, ideally I would not want to have to reset all my page notifications every so often, to ensure the emails keep coming.

If it helps debugging the original problem of this task, here are the dates and times of all emails I received about changes to the page http://en.wikipedia.org/wiki/Felixstowe (times are London time, second number is the month):
Sun 04/01/2015 19:28
Mon 05/01/2015 09:46
Wed 14/01/2015 14:34
Sun 08/02/2015 22:05
Fri 21/08/2015 19:10
Fri 28/08/2015 00:28
Mon 14/09/2015 19:15
You can see a big gap between February and August, when there were many changes for which I didn't receive a notification email.
(Edit - there is a junk/spam on this account, however I check it all the time and manually delete junk messages. I don't have any problems with email on this account.)

The behaviour where emails stop if the page is not visited while logged-in is the current design, see T33928 (it is also mentioned in the notification emails themselves). As mentioned in this task, the current implementation may have bug(s) or subtelties, particularly regarding minor and bot edits.

The task T114587 which I raised for mail-for-all-changes has now been merged into T33928.

Dalba awarded a token.Dec 28 2015, 6:36 AM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 28 2015, 6:36 AM
Dalba added a subscriber: Dalba.Dec 28 2015, 6:36 AM
scfc added a comment.Feb 26 2017, 6:28 PM

(I picked T29884 because I think it has the biggest "Surprise!" effect on new users, but other issues raised in this bug are filed as T33928 and T40874.)